﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Docking;

namespace DockingWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }


		private void radDocking_PaneStateChange(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			var pane = e.OriginalSource as RadPane;
			if (pane != null && pane.IsFloating)
			{
				var window = pane.GetParentToolWindow();
			
				this.Dispatcher.BeginInvoke(new Action(() => 
					{
						window.Width = 100;
						window.Height = 100;
					}));
			
			}
		}
		
		
    }
}
